package = "lsup_rdf"
version = "scm"
source = {
    url = "./"
   --url = "git://git.knowledgetx.com/scossu/lsup_rdf",
   --tag = "scm",
}
description = {
   summary = "Super-compact, embedded RDF library and permanent store.",
   detailed = [[
      `lsup_rdf` is an embedded library to manipulate and permanently store
      Linked Data. It handles terms, triples, graphs, and has an in-memory and
      a filesystem-based storage back ends.
   ]],
   homepage = "http://git.knowledgetx.com/scossu/lsup_rdf",
   license = "https://git.knowledgetx.com/scossu/lsup_rdf/src/master/LICENSE"
}
dependencies = {
   "lua >= 5.4, < 6",
}
build = {
   type = "builtin",
   modules = {
      lsup = {
         sources = {
             "lua/lua_namespace.c",
             "lua/lua_term.c",
             "lua/lua_triple.c",
             --"lua/lua_graph.c",
             "lua/lua_lsup.c",
         },
         defines = {},
         libraries = {"lsuprdf"},
         incdirs = {"./include", "./ext/log/src", "./ext/hashmap"},
         libdirs = {}
      }
   },
   --copy_directories = {}
}
